<template>
  <div class="update-products">
    <the-header title="Atualizar produto" />
    <product-form :product="product" :isEditing="isEditing"></product-form>
  </div>
</template>

<script>
import ProductForm from '@/views/Products/components/ProductForm' 

export default {
  name: 'UpdateProducts',
  components: {
    'product-form': ProductForm
  },
  data: function ()  {
    return {
      isEditing: true 
    }
  },
  created () {
    this.$store.dispatch('getProduct', this.$route.params.pk)
  },
  computed: {
    product () {
      return this.$store.state.products.product[0]
    }
  },
  methods: {
    back() {
      this.$router.go(-1)
    }
  }

}
</script>
